Bug 37407 - Calc XY (scatter) chart Sort by x values has wrong x,y in tooltip
Summary: Calc XY (scatter) chart Sort by x values has wrong x,y in tooltip
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
(earliest affected)
3.3.2 release
Hardware: x86 (IA32) All
: medium minor
Assignee: Not Assigned
QA Contact:
Depends on:
Reported: 2011-05-20 07:44 UTC by Christopher M. Penalver
Modified: 2015-11-18 11:57 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:

xyscatterbug.ods (14.47 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-05-20 07:44 UTC, Christopher M. Penalver

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2011-05-20 07:44:26 UTC
Created attachment 46954 [details]

Downstream bug may be found at:

OOo bug may be found at:

1) lsb_release -rd
Description: Ubuntu 11.04
Release: 11.04

2) LibreOffice:
apt-cache policy libreoffice-calc
  Installed: 1:3.3.2-1ubuntu5
  Candidate: 1:3.3.2-1ubuntu5
  Version table:
 *** 1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages
        500 http://us.archive.ubuntu.com/ubuntu/ natty-proposed/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

3) What is expected to happen in Calc via the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/258705/+attachment/403067/+files/xyscatterbug.ods && localc -nologo xyscatterbug.ods

double click the XY (Scatter), sorted by X values chart and hover the mouse icon over a data point, the pop up notes the correct X,Y value.

4) What happens instead is it does not. The pop-up is using the data values top to bottom, to display the data point values from left to right.
Comment 1 Björn Michaelsen 2011-12-23 12:02:48 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 2 Christopher M. Penalver 2012-01-04 00:52:03 UTC
Reproducible in:
LOdev 3.5.0beta2 
Build ID: 8589e48-760cc4d-f39cf3d-1b2857e-60db978
Microsoft Windows Vista Business 6.0.6002 Service Pack 2 Build 6002
Comment 3 ign_christian 2013-05-23 15:32:59 UTC
Hi Christopher

I can confirm that using your explanation I can reproducible that problem. But if I build XY chart from scratch using your data it's not happen.

Could you confirm using LO whether tooltips still show wrong info?
Comment 4 Christopher M. Penalver 2013-05-25 12:53:19 UTC
ign_christian, thank you for your comments. Using the attachment noted in the Description https://bugs.freedesktop.org/attachment.cgi?id=46954 one may open Microsoft Office Professional Plus 2010 Excel Version 14.0.6023.1000 (32-bit), hover over the noted data point, and it displays the correct tooltip information. For future triaging, let the focus be on the noted attachment.

Problem in Description reproducible in:
Microsoft Windows Vista Business x86 6.0.6002 Service Pack 2 Build 6002
Build ID: 979def88090633bfee0e0445b19999a1dac71ed
Comment 5 ign_christian 2013-06-13 08:17:31 UTC
I was using that attachment. Just wondering why creating new XY chart on that attachment generates correct result?
Comment 6 Julien Nabet 2014-08-24 07:26:37 UTC
On pc Debian x86-64 with master sources updated yesterday, I could reproduce this.

If I create from the file attached a new graphic, I could reproduce too the problem.
(ign_christian: had you checked "Sort by X Values"?)
Comment 7 ign_christian 2014-08-24 08:25:51 UTC
You're right Julien, reproducible with "Sort by X values" checked with LO Looks like I forgot checked that in previous testing :)

Anyway I don't understand the purpose of "Sort by X values" in XY chart. It doesn't make any difference in chart.
Comment 8 Julien Nabet 2014-08-24 08:46:30 UTC
Thank you ign_christian for your feedback. Great (in a way) you could reproduce it too :)

Just some notes.
Searching "Sort by X Values" with keyId language gives this:
=> tp_ChartType.ui

http://opengrok.libreoffice.org/search?q=tp_ChartType.ui&project=core&defs=&refs=&path=&hist= gives:
- chart2/source/controller/dialogs/tp_PointGeometry.cxx
- chart2/source/controller/dialogs/tp_ChartType.cxx
From the second one, searching "sort" keyword gives mpCB_XValueSorting, itself linked to "bSortByXValues" member of ChartTypeParameter, see http://opengrok.libreoffice.org/xref/core/chart2/source/controller/dialogs/ChartTypeDialogController.hxx#81
Comment 9 Julien Nabet 2014-08-24 21:04:11 UTC
bSortByXValues brings there:

Searching about how is defined data point gives this:
STR_TIP_DATAPOINT which leads there:

But then, I'm a bit stuck.

Kohei/Markus/Eike: any idea here?
Comment 10 QA Administrators 2015-09-04 02:48:12 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice ( or later)

   If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)


2. Test your bug 
3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword

Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-09-03
Comment 11 Buovjaga 2015-11-18 11:57:46 UTC
Confirmed with attachment.

Win 7 Pro 64-bit Version:
Build ID: b216cc1b8096eb60c27f67e8c27b7cd756c75e38
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-11-12_00:06:20
Locale: fi-FI (fi_FI)